HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Update a DNS Client Configuration by UUID

Update a DNS Client Configuration object by its UUID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

UUID of DNS Client Configuration object to update

Body Params

DNS Client Configuration To create a DNS Client Configuration attributes with:

  • description - describes this DNS Client Configuration object
  • domain_name - specifies the domain name - RFC 1035
  • name - names this DNS Client Configuration object
  • name_servers - list of name servers in IPv4 or IPv6 format
  • domain_list - search list of default local domain names

To create a DNS Client Configuration's associations with:

  • management_software - whether or not Management Software uses this DNS Client Configuration
  • fabric_uuids: UUIDs of any fabrics with which this configuration is associated
  • switch_uuids: UUIDs of any switches with which this configuration is associated Note: domain_name and domain_list are mutually exclusive.
string
string
required

Specifies the domain name - RFC 1035. To exclude, specify value as empty string.

fabric_uuids
array
required

UUIDs of fabrics this DNS client configuration is applied to. When using fabric_uuid the configuration will be applied to all switches in the fabric. If the fabric is expanded the new switch will automatically pick up the new settings covered by fabric_uuid. To exclude, specify value as the empty array: []

fabric_uuids*
boolean
required

Whether or not Management Software uses this DNS client configuration. To exclude, specify value asFalse.

string
required
name_servers
array of strings
required
length ≥ 1

List of name servers in ipv4 or ipv6 format.

name_servers*
domain_list
array of strings
required

Search list of default local domain names. To exclude, specify value as the empty array: []

domain_list*
switch_uuids
array
required

UUIDs of switches this DNS Client Configuration is applied to. To exclude, specify value as the empty array: []

switch_uuids*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0